import 'package:flutter/material.dart';
import 'package:movie_app/pages/account.dart';
import 'package:movie_app/pages/home.dart';
import 'package:movie_app/pages/main_page.dart';
import 'package:movie_app/pages/movie_detail.dart';

import 'models/movie_detail_arg.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      // onGenerateRoute: (settings) {
      //   if (settings.name == '/detail') {
      //     final args = settings.arguments.toString();
      //     return PageRouteBuilder(
      //         settings: settings,
      //         pageBuilder: (_, __, ___) => detailMovie(args),
      //         transitionsBuilder: (_, a, __, c) => FadeTransition(
      //               opacity: a,
      //               child: c,
      //             ));
      //   }
      // },
      initialRoute: '/',
      routes: {
        '/': (context) => HomePage(),
        '/detail': (context) => detailMovie(
            // ModalRoute.of(context)!.settings.arguments as ScreenArguments),
            ModalRoute.of(context)!.settings.arguments as String),
        '/account': (context) => AccountPage(),
      },
    );
  }
}
