class movieDetail {
  final String id;
  final String title;
  final String poster_path;
  final String overview;
  final double vote_average;
  List<dynamic> genre;

  movieDetail(
      {required this.id,
      required this.title,
      required this.poster_path,
      required this.overview,
      required this.vote_average,
      required this.genre});

  factory movieDetail.fromJson(dynamic json) {
    var nameGenre = [];

    for (int i = 0; i < json['genres'].length; i++) {
      var genreName = '';
      if (json['genres'][i]['name'] == null) {
        genreName = 'Thriller';
      } else {
        genreName = json['genres'][i]['name'];
      }
      nameGenre.add(genreName);
    }
    return movieDetail(
        id: json['id'].toString(),
        title: json['title'] as String,
        poster_path: json['poster_path'] as String,
        overview: json['overview'] as String,
        vote_average: json['vote_average'] as double,
        genre: nameGenre as List<dynamic>);
  }
}
