import 'dart:convert';

import 'package:http/http.dart' as http;
import 'package:movie_app/config.dart';

class PostRateResult {
  final int status_code;
  final String status_message;

  PostRateResult(this.status_code, this.status_message);

  factory PostRateResult.fromJson(dynamic json) {
    return PostRateResult(
        json['status_code'] as int, json['status_message'] as String);
  }
}
